require "ReactRenderAnywhere/version"

module ReactRenderAnywhere
  def self.new(build_name:)
    @build_name = build_name
    self
  end

  def self.render_component(name, element, props:)
    ActionController::Base.helpers.content_tag(
      :div,
      "<script>
        #{@build_name}.default.render({	
          component: '#{name}',	
          props: #{props.to_json()},	
          element: document.getElementById('#{element}'),	
        })
      </script>".html_safe,
      :class=>"react-render-anywhere",
      :id=>element
    )
  end
end
